# E.S.O. - VLT project 
#
# "@(#) $Id: rtd.man1,v 1.1.1.1 2009/03/31 14:11:52 cguirao Exp $" 
#
# This file is processed by the ESO/VLT docDoManPages command to
# produce a man page in nroff, TeX and MIF formats. 
# See docDoManPages(1) for a description of the input format.
# 
# who             when       what
# --------------  ---------  ----------------------------------------
# Allan Brighton  20 Jul 95  Created
# Allan Brighton  10 Nov 97  Updated
#

NAME
rtd - real-time image display application

SYNOPSIS
rtd ?options? ?filename?

DESCRIPTION
The rtd application is used to diplay FITS images in real-time.
The application is based on "rtdimage", a Tk image extension
for displaying FITS images. 

OPTIONS
-file name
	"name" specifies a FITS format file to load and
	display.

-subsample bool
	If bool is true, subsampling is used when shrinking
	the image, i.e.: if the image is shrunk by 1/3, only
	every third pixel is displayed. Otherwise, the maximum
	value is taken from the group of pixels.

-sampmethod n (experimental)
	If option 'subsample' is false, the following methods can be
        used for displaying a shrunk image (i.e. an image with a scale
        factor < 1):
        SAMP_METHOD_MAX              0  /* max value of all pixels in a NxN box (default) */
        SAMP_METHOD_MIN              1  /* min value of all pixels in a NxN box */
        SAMP_METHOD_MEAN             2  /* mean value of all pixels in a NxN box */
        SAMP_METHOD_MEDIAN           3  /* median value of all pixels in a NxN box */
        SAMP_METHOD_MAX_CROSS        4  /* max value of pixels on a diagonal cross in a NxN box */
        SAMP_METHOD_MIN_CROSS        5  /* min value of pixels on a diagonal cross in a NxN box */
        SAMP_METHOD_MEAN_CROSS       6  /* mean value of pixels on a diagonal cross in a NxN box */
        SAMP_METHOD_MEDIAN_CROSS     7  /* median value of pixels on a diagonal cross in a NxN box */
        SAMP_METHOD_MEDIAN_CHESS     8  /* median value of pixels in a chess-board like box */
        SAMP_METHOD_MEDIAN_9         9  /* median value of a 3x3 box */

-usexshm bool
	If bool is true (default), attempt to use X shared
	memory for the image display, if available. This
	improves performance considerably, but is only
	available when working on the system console.

-usexsync bool
	If true, try to use X synchronisation.

-verbose bool
	If bool is true, diagnostic messages are printed out
	to show what is going on internally (for debugging
	use).

-default_cmap
	This option sets the default colormap file to use when
	starting up.  Only the root of the filename should be
	specified for this option, for example: "ramp" for a grey
	level colormap.  For a list of available colormap files, see
	the colormaps directory in the rtd release.

-min_colors n
-max_colors n
	Specify the min and max number of colors to allocate before
    	using a private colormap.

-default_itt
	This option is similar to -default_cmap, except it
	sets the default ITT (intensity transfer table) file
	to use at startup.  ITT files are also stored in the
	colormaps directory.

-xscale xs
-yscale ys
	Set the default scaling factors (default: 1).

-camera name
	Set the camera name for real-time image events:
	default: taken from the RTD_CAMERA environment
	variable, if set, otherwise set to RTDSIMULATOR, for
	simulation test mode.

-zoom_factor number
	Set the scale factor for the zoom window (default 5 x
	the original image).

-colorramp_height h
	Set the height of the colorramp subwindow (default: 20).

-with_zoom_window bool
	If bool is true (default), add a zoom window.

-with_pan_window bool
	If bool is true (default), add a panning window.

-dozoom bool
	If true, turn on zoom window.
    
-disp_image_icon bool
	If true, display a copy (view) of the image as an icon.

-drag_scroll bool
	If true, set bindings to scroll with the middle mouse button.

-scrollbars bool
	If true, display scrollbars to scroll the image.

-port port
 	Default port for remote connections (0 means system chooses a
 	port).
  
-debug bool
 	Debugging flag: enables real-time simulation with testProg
 	(below).

-testprog path
	For testing: name of test program used to generate real-time
	updates (tRtd).

-interval n
	For testing: interval between updates in ms.

-with_perftest bool
	If true, display performance tester utility in menu bar.

-with_warp bool
	Option to warp the mouse pointer.


FILES
$RTD_LIBRARY/../demos/rtd.tcl

SEE ALSO
rtdimage(n), RtdImageCtrl(n), rtdimage_wish(1), rtdServer(1),
RtdServerTool(n), RtdImageZoom(n), RtdImageZoomView(n)
----------------------------------------------------------------------
